> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Invitations

> Retrieve a list of invitations based on specified criteria



## OpenAPI

````yaml /api/specs/identity-api.json get /identity/v1/invitations
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.376.0
  description: API Documentation for identity service
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /identity/v1/invitations:
    get:
      tags:
        - Invitation
      summary: List Invitations
      description: Retrieve a list of invitations based on specified criteria
      parameters:
        - in: query
          name: limit
          description: >-
            The maximum number of invititations to return (default 20, maximum
            100).
          schema:
            type: string
            pattern: ^[0-9][0-9]?$|^100$
        - in: query
          name: startingAfter
          description: >-
            The ID of the last invitation in the previous page of results.
            Results will start after this invite code
          schema:
            type: string
        - in: query
          name: status
          description: Filter results by status ('APPROVED' or 'PENDING_APPROVAL').
          schema:
            type: string
            enum:
              - APPROVED
              - PENDING_APPROVAL
        - in: query
          name: referenceId
          description: Filter results by reference ID.
          schema:
            type: string
        - in: query
          name: driver
          description: Filter results by Driver ID.
          schema:
            type: string
        - in: query
          name: type
          description: >-
            Filter results by invitation type ('PRIVATE_CHARGING' or
            'PRICE_ADJUSTMENT').
          schema:
            type: string
            enum:
              - PRIVATE_CHARGING
              - PRICE_ADJUSTMENT
      responses:
        '200':
          description: A list of invite codes
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: object
                    required:
                      - hasMore
                      - items
                    properties:
                      hasMore:
                        type: boolean
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/Invitation'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      security:
        - jwt: []
components:
  schemas:
    Invitation:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - PRIVATE_CHARGING
            - PRICE_ADJUSTMENT
        referenceId:
          type: string
        driverId:
          type: string
        status:
          type: string
          enum:
            - PENDING_APPROVAL
            - APPROVED
            - DENIED
        network:
          type: object
          properties:
            id:
              type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - type
        - referenceId
        - driverId
        - status
        - network
        - createdAt
        - updatedAt
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````